Skip to main content
GET
/
directory
/
identities
List of Identities
curl --request GET \
  --url https://wks-a1b2c3d4.provisionr.io/api/v1/directory/identities \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "state": "staged",
    "vendor_id": "<string>",
    "email": "<string>",
    "profile": {},
    "timestamp": {
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "deleted_at": "2023-11-07T05:31:56Z",
      "provisioned_at": "2023-11-07T05:31:56Z",
      "deprovisioned_at": "2023-11-07T05:31:56Z",
      "profile_changed_at": "2023-11-07T05:31:56Z",
      "last_authenticated_at": "2023-11-07T05:31:56Z"
    },
    "count": {
      "workspace_logs_parent": 123,
      "workspace_logs_record": 123,
      "workspace_logs_related": 123
    },
    "included": {
      "workspace_integration": {
        "id": "<string>",
        "is_primary": true,
        "vendor": "demo",
        "handle": "<string>",
        "domain": "<string>"
      },
      "directory_user": {
        "id": "<string>",
        "state": "staged",
        "manager_id": "<string>",
        "is_manager": true,
        "full_name": "<string>",
        "email": "<string>",
        "username": "<string>",
        "org": {},
        "metadata": {}
      }
    },
    "links": {
      "self": "<string>",
      "workspace_integration": "<string>",
      "directory_user": "<string>"
    }
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.provisionr.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

sort
string

Available sorts are workspace_integration_id, directory_user_id, vendor_id, user_full-name, user_email, provisioned_at, profile_changed_at, last_authenticated_at, deprovisioned_at, created_at, updated_at, deleted_at, state, -source_id, -user_id, -vendor_id, -user_full-name, -user_email, -email, -provisioned_at, -profile_changed_at, -last_authenticated_at, -deprovisioned_at, -created_at, -updated_at, -deleted_at, -state. You can sort by multiple options by separating them with a comma. To sort in descending order, use - sign in front of the sort, for example: -workspace_integration_id.

filter[deprovisioned_pending_deactivation]
string
filter
string
page
string

Filter by a partial match of the identity ID

filter[workspace_integration_id]
string

Filter by an exact match of the workspace integration ID

filter[directory_user_id]
string

Filter by an exact match of the directory user ID

filter[vendor_id]
string

Filter by an exact match of the integration vendor ID field

Filter by a partial match of the integration vendor ID field

filter[email]
string

Filter by an exact match of the email field

Filter by a partial match of the email field (useful for handles or domain names)

filter[state]
string

Filter by an exact match of the state field

Filter by searching custom profile key/value pairs for any partial string match

filter[created_before]
string

Filter by imported to Provisionr before date

filter[created_after]
string

Filter by imported to Provisionr after date

filter[deleted_before]
string

Filter by deleted before date

filter[deleted_after]
string

Filter by deleted after date

filter[provisioned_before]
string

Filter by identities that were provisioned before date

filter[provisioned_after]
string

Filter by identities that were provisioned after date

filter[profile_changed_before]
string

Filter by profile changed before date

filter[profile_changed_after]
string

Filter by profile changed after date

filter[last_authenticated_before]
string

Filter by last authenticated before date

filter[last_authenticated_after]
string

Filter by last authenticated after date

filter[deprovisioned_before]
string

Filter by deprovisioned before date. Reminder to include trashed records.

filter[deprovisioned_after]
string

Filter by deprovisioned after date. Reminder to include trashed records.

filter[trashed]
string

Include trashed records (with, only, without)

Response

The collection of DirectoryIdentityDetailedResponseData

id
string
required
Example:

"dridt_01hq8xyzabc123def456ghi789"

state
enum<string>
required

The state of the identity record (not the user)

staged
The record is staged and is only visible to administrators or in the API. Since Directory Users are managed by Directory Identities with your primary integration, this usually indicates that the user is staged and will be activated or onboarded soon. Staged users are not included in ruleset manifests until they are active users.
active
The record is active.
orphan
The record is active but is not associated with a Directory User.
expiring
The expires_at value is set in the future for the record. You can run the activate action to remove the scheduled expiration.
expired
The expires_at value is in the past and the record was deactivated.
suspended
The record is temporarily suspended. This reflects the state of the primary Workspace Integration.
deactivated
The record was deactivated in the primary Workspace Integration.
Available options:
staged,
active,
orphan,
expiring,
expired,
suspended,
deactivated
vendor_id
string
required

The ID of the user on the vendor API in its native format

email
string
required

The email address of the user in the vendor API. This is used for Directory User lookup matching

profile
object
required

The vendor API profile data (raw) that is imported. This likely contains sensitive PII. This endpoint requires directory.identity.view permission.

If you do not have permission, use the api/v1/directory/users?include=identities to get a nested list of identities for a user without the profile

timestamp
DirectoryIdentityTimestampResponseData · object
required

The timestamps for the directory identity record

count
object
required

Count of related records

included
object
required

Included related resources

API hyperlinks related to the directory identity record